.sticky-top {
    position: -webkit-sticky;
    position: sticky;
    top: 160px;
}



#picker-container {display: flex;flex-direction: column;align-items: center;width: 100%;margin: 0 auto;}

.picker {
  /* display: flex; */
  /* flex: 0; */
  /* width: auto; */
  width: 100%;
  position: relative;
  /* z-index: 1; */
  /* padding: 0 20px; */
}

.picker.select {
  z-index: 100;
}

.tier-name {
  position:absolute;
  /* height:100%; */
  /* display:flex; */
  /* justify-content:center; */
  /* flex-direction:column; */
  top: 4px;
}

select.image-picker {
  width: 30%;
  float: left;
  /* background-color: #ccc; */
  /* display: block; */
}

select.image-picker option:first-child  {
}

ul.thumbnails.image_picker_selector {
  overflow: auto;
  list-style-image: none;
  list-style-position: outside;
  list-style-type: none;
  padding: 0px;
  /* width: 100%; */
  display: flex;
  justify-content: center;
  overflow: visible;
  position: relative;
  /* border: solid 4px #888; */
  /* border-left: solid 2px #aaaaaa; */
  /* border-right: solid 2px #aaaaaa; */
  /* border-bottom: solid 4px #eeeeee; */
  /* padding-bottom:  2px; */
  /* margin-bottom: 2px; */
  /* padding-left: 0px; */
  /* padding-right: 0px; */
  flex-wrap: wrap;
  position: relative;
  z-index: 1;
  margin-bottom: 0;
  /* width:  100% !important; */
  /* padding: 20px 2px 2px 2px; */
  /* background-color: #ffffff; */
  /* border-radius: 10px; */
  margin-top: 5px;
  padding: 4px;
  background-color: #fff;
  }

  .picker_block  {
  border: solid 4px #888;
  margin: 0px auto;
  margin-bottom: -4px;
  border-radius: 10px;
  padding: 5px 5px 5px 5px;
  background-color: #fff;
  }

  .picker:last-child ul.thumbnails.image_picker_selector {
    /* border-bottom: solid 4px #aaaaaa; */
  }


.tier-1 .picker_block {
   width: 40%;
   z-index: 10;
   background-color: #e6b44e;
}

.tier-2 .picker_block {
   width: 50%;
   z-index: 9;
   /* background-color: #dcd3c6; */
   background-color: #8b939b;
}
 
.tier-3 .picker_block {
   width: 60%;
   z-index: 8;
   /* background-color: #dcd3c6; */
   background-color: #dcd3c6;
   background-color: #c2baae;
}

.tier-4 .picker_block {
   width: 70%;
   z-index: 7;
   background-color: #d2caa7;
   background-color: #ada36b;
   background-color: #979d6c;
}

.tier-5 .picker_block {
   width: 80%;
   z-index: 6;
   background-color: #e1cc98;
   background-color: #afb7af;
}
.tier-6 .picker_block {
   width: 90%;
   z-index: 5;
   background-color: #afb7af;
   background-color: #879b8f;
   background-color: #e6b44e;
}
.tier-7 .picker_block {
   width: 100%;
   z-index: 4;
   /* background-color: #8b939b; */
   background-color: #696154;
}
  ul.thumbnails.image_picker_selector ul {
    overflow: auto;
    list-style-image: none;
    list-style-position: outside;
    list-style-type: none;
    padding: 0px;
    margin: 0px; }
  ul.thumbnails.image_picker_selector li.group {width:100%;} 
  ul.thumbnails.image_picker_selector li.group_title {
    float: none; }
  ul.thumbnails.image_picker_selector li {
    margin: 0;
    /* float: left; */
    /* overflow: visible; */
    /* background-color: #ffffff; */
    /* display: none; */
    /* margin: 10px 0; */
    /* opacity: 0.5; */
    width: 20%;
    /* border-radius: 25px; */
    /* overflow: hidden; */
    position: relative;
    z-index: 1;
    padding: 0;
    border: solid 4px #fff;
    }

    ul.thumbnails.image_picker_selector li.select{
      z-index: 2000;
      -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
      box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    }

    ul.thumbnails.image_picker_selector li .image_picker_image {
      width: 100%;
      height: auto;
      opacity: 0.5;
      /* border: solid 1px #aaa; */
    }
    ul.thumbnails.image_picker_selector li.select .image_picker_image {
      opacity: 1;
    }

    ul.thumbnails.image_picker_selector li.cake-hover {
      /* opacity: 0.5; */
      border-color: #aaaaaa !important;
    }

    ul.thumbnails.image_picker_selector li.select {
      /* opacity: 0.5; */
      border-color: #666666 !important;
    }

    ul.thumbnails.image_picker_selector li .cake-buttons {
      /* position: absolute; */
      width: 100%;
      height: 40px;
      top: 0;
      right: 0;
      /* background-color: #ffdd34; */
      display: flex;
      flex-direction: column;
      justify-content: center;
    }


    ul.thumbnails.image_picker_selector li.selected {
      display:block;
      /* float: left; */
      /* order: -1; */
    }


    ul.thumbnails.image_picker_selector li .glyphicon-minus {
      display: none;
    }
    ul.thumbnails.image_picker_selector li.selected .glyphicon-minus2 {
      display: block;
      position: absolute;
      left: -1px;
      top: -1px;
      font-size: 24px;
      color: #fff;
      background-color: #ff0000;
      border-radius: 50%;
      width: 20px;
      height: 20px;
      line-height: 16px;
      /* padding-left: 1px; */
      text-align: center;
    }
    ul.thumbnails.image_picker_selector li.selected .image_picker_image {
      display:block;
      /* float: left; */
      /* order: -1; */
      opacity: 1;
      /* border-color: #ffdd34; */
    }

    ul.thumbnails.image_picker_selector li.selected {
      border-color: #ffdd34;
    }


    .select ul.thumbnails.image_picker_selector li {
      display:block
    }
    ul.thumbnails.image_picker_selector li .thumbnail {
      padding: 0;
      border: 0px none;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      /* display: none; */
      margin: 0;
      padding: 2px;
      /* opacity: 0.5; */
      /* position: relative; */
      overflow: visible;
      position: relative;
      }

      ul.thumbnails.image_picker_selector li .closer2,
      ul.thumbnails.image_picker_selector li .adder2 {
        /* position: absolute; */
        /* left: 100%; */
        width:  37px;
        height: 37px;
        text-align: center;
        font-size: 30px;
        color: #4c4c4c;
        border-radius: 50%;
        border: solid 2px #4c4c4c;
        margin:1px 0 1px 3px;
        line-height: 30px;
        box-sizing: border-box;
        padding-right: 3px;
        /* display: flex; */
        /* flex-direction: column; */
        /* justify-content: center; */
      }

      ul.thumbnails.image_picker_selector li .closer {
        position: absolute;
        top: 10px;
        right: 100%;
        background-color: #fff;
        width:  30px;
        height: 30px;
        text-align: center;
        font-size: 30px;
        line-height: 26px;
        border-radius: 50% 0 0 50%;
        margin-top: -4px;
        background-color: #444444;
        /* display: flex; */
        /* flex-direction: column; */
        /* align-items: center; */
        text-align: center;
        /* position: absolute; */
        }

      ul.thumbnails.image_picker_selector li .adder2:after {
        content: '+';
      }
      ul.thumbnails.image_picker_selector li .closer:after {
        /* content: 'x'; */
      }

      ul.thumbnails.image_picker_selector li .show-me .cake-buttons .glyphicon-minus,
      ul.thumbnails.image_picker_selector li .show-me .cake-buttons .glyphicon-plus {
        width:  33px;
        height: 33px;
        font-size: 36px;
        border-radius: 50%;
        border: solid 2px #4c4c4c;
        text-align: center;
        line-height: 26px;
        margin-left: 5px;
        color: #4c4c4c;
      }

      .closer .glyphicon-plus {
        transform: rotate(45deg);
        position: absolute;
        top:  50%;
        left: 50%;
        font-size: 30px;
        height: 1em;
        width: 1em;
        margin-top: -0.55em;
        margin-left: -0.4em;
        color: #fff;
      }

      ul.thumbnails.image_picker_selector li.selected .show-me .cake-buttons .glyphicon-plus {
        display: none;
      }

      ul.thumbnails.image_picker_selector li .show-me .cake-buttons .glyphicon-minus {
        display: none;
      }


      ul.thumbnails.image_picker_selector li.selected .show-me .cake-buttons .glyphicon-minus {
        display: block;
      }




      ul.thumbnails.image_picker_selector li.selected .adder2:after {
        content: '-';
      }

      ul.thumbnails.image_picker_selector li:first-child .thumbnail {
        /* position: relative; */
      }

      ul.thumbnails.image_picker_selector li:first-child .thumbnail img {
        /* opacity: 0; */
      }

      ul.thumbnails.image_picker_selector2 li:first-child .thumbnail p {
        right: 0;
        left: 0;
      }

      ul.thumbnails.image_picker_selector li.selected .thumbnail p {
        /* right: 0; */
        /* left: 0; */
      }

      ul.thumbnails.image_picker_selector li .thumbnail {
        cursor: pointer;
        /* opacity: 0.35; */
        /* border-radius: 10px; */
        /* overflow: hidden; */
      }
      ul.thumbnails.image_picker_selector li.selected .thumbnail {
        opacity: 0.5;
      }
      ul.thumbnails.image_picker_selector li:hover .thumbnail {
        opacity: 1;
      }

          ul.thumbnails.image_picker_selector li.selected .thumbnail {
      /* padding: 4px; */
      /* border-color: #999999; */
      /* background-color: #ccc; */
      }


      ul.thumbnails.image_picker_selector li:hover .thumbnail {
        border-color: #000000;
      }


    ul.thumbnails.image_picker_selector li .thumbnail p {
      display: none;
      font-size: 10px;
      text-align:center;
      /* position: absolute; */
      /* top: 7px; */
      /* right: 100%; */
      margin: 0;
      /* height: 100%; */
      /* display: flex; */
    }
        ul.thumbnails.image_picker_selector li.selected2 .thumbnail p {
          top: auto;
          bottom: 0;
        }

        ul.thumbnails.image_picker_selector li .thumbnail {
          position:relative;
        }
    ul.thumbnails.image_picker_selector li .thumbnail p {
      /* display: block; */
      /* justify-content: center; */
      /* flex-direction: column; */
      /* right: 0; */
      /* left: 0; */
      text-align: center;
      /* bottom: 0; */
      font-size: 12px;
      position: absolute;
      top: 0;
      background-color: #fff;
      padding: 5px;
      z-index: 2000;
      opacity: 1;
    }

    ul.thumbnails.image_picker_selector li.selected .thumbnail2 p {
      display: flex;
      justify-content: center;
      flex-direction: column;
    }

    ul.thumbnails.image_picker_selector li {
      cursor: pointer;
    }

    ul.thumbnails.image_picker_selector li .show-me

    {
      position: absolute;
      width: 260px;
      min-height: 100px;
      top: -2px;
      left: 50%;
      background-color: #fff;
      display: none;
      /* position: relative; */
      /* margin-top: -20px; */
      -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
      box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
      /* margin-left: -20px; */
      color: #4c4c4c;
      border: solid 1px #ffdd34;
      border-radius: 6px;
      padding: 10px;
      z-index: 1000;
      border-color: #4c4c4c;
      overflow: hidden;
    }
    ul.thumbnails.image_picker_selector li.select .show-me

    {
      display: block;
      font-family: 'helvetica';
}


.the-cheese {
  padding-left: 57px;
  min-height: 40px;
  font-size: 15px;
  line-height: 18px;
  font-weight: 700;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-top: 4px;
}

.cheese-flag {
  position: absolute;
  left: 4px;
  top: 6px;
  height: 30px;
}

    ul.thumbnails.image_picker_selector li.selected2 .thumbnail p {
      display: none;
      /* top: 100%; */
    }
    .select2:hover ul.thumbnails.image_picker_selector li.selected .thumbnail p {
      display: none;
    }
    .select2:hover ul.thumbnails.image_picker_selector li:hover .thumbnail p {
      display: flex;
    }
    ul.thumbnails.image_picker_selector li .thumbnail2:hover p,
    ul.thumbnails.image_picker_selector li .thumbnail.selected2 p {
      display: block;
      
    }

  ul.thumbnails.image_picker_selector li:hover .thumbnail p {
    display: block;
  }


        .picker:hover2 ul.thumbnails.image_picker_selector li .thumbnail {
        display: block;
      }
      .picker.select ul.thumbnails.image_picker_selector li .thumbnail {
        display: block;
      }
       .picker:hover ul.thumbnails.image_picker_selector li .thumbnail p {
        /* right: 0; */
        /* left: 0; */
      }
      ul.thumbnails.image_picker_selector li .thumbnail img {
        -webkit-user-drag: none;
        margin: 0;
        padding: 0;
        display: block;
        }
        ul.thumbnails.image_picker_selector li .thumbnail img {
          width: 100%;
          height: auto;
        }

        ul.thumbnails.image_picker_selector li.selected .thumbnail img {
          border: solid 2px #aaaaaa;
        }

        .tier-1 ul.thumbnails.image_picker_selector li .thumbnail  {
        /* width: 50px; */
        /* width: 50px; */
        width:  100%;
        }
        .tier-2 ul.thumbnails.image_picker_selector li .thumbnail {
        /* width: 100px; */
        }
        .tier-3 ul.thumbnails.image_picker_selector li .thumbnail  {
        /* width: 90px; */
        }
        .tier-4 ul.thumbnails.image_picker_selector li .thumbnail  {
        /* width: 110px; */
        }
        .tier-5 ul.thumbnails.image_picker_selector li .thumbnail  {
        /* width: 130px; */
        }


        .tier-2 ul.thumbnails.image_picker_selector li {
          width: 20%;
        }
        .tier-3 ul.thumbnails.image_picker_selector li {
          width: 20%;
        }
        .tier-4 ul.thumbnails.image_picker_selector li {
          width: 16.666%
        }
        .tier-5 ul.thumbnails.image_picker_selector li {
          width: 20%;
        }
        .tier-6 ul.thumbnails.image_picker_selector li {
          width: 20%;
        }
        .tier-7 ul.thumbnails.image_picker_selector li {
          width: 16.666%;
        }

        
    ul.thumbnails.image_picker_selector li.selected .thumbnail {
      /* background: #0088cc; */
      display: block;
      opacity: 1;
      /* overflow: visible; */
      
      }


#cake-holder {
  padding: 50px 0 0px 0;
  margin: 0px;
  overflow: visible;
  background-color: #fff;
  /* background-image: url(wallpaper-2.jpg); */
  background-size: cover;
  background-position: center;
  /* background-repeat: no-repeat; */
  /* background-attachment: fixed; */
  border: solid 4px #888;
  /* margin: 0px auto; */
  /* margin-bottom: -4px; */
  border-radius: 10px;
  /* padding: 5px 5px 5px 5px; */
  text-align: center;
  }


  #cake-holder-2 {
  padding: 50px 0 0px 0;
  margin: 0px 0px 20px 0px;
  /* overflow: visible; */
  /* background-color: #fff; */
  /* background-image: url(wallpaper-2.jpg); */
  /* background-size: cover; */
  /* background-position: center; */
  /* background-repeat: no-repeat; */
  /* background-attachment: fixed; */
  /* border: solid 4px #888; */
  /* margin: 0px auto; */
  /* margin-bottom: -4px; */
  /* border-radius: 10px; */
  /* padding: 5px 5px 5px 5px; */
  text-align: center;
  }



ul#cake-vis {
  list-style-image: none;
  list-style-position: outside;
  list-style-type: none;
  padding: 0;
  margin: 0px;
  overflow: visible;
  background-color: #fff;
  /* overflow: hidden; */
  }


  

ul#cake-vis li {
  display: block;
  /* width: 100%; */
  position: relative;
}

ul#cake-vis li:last-child .thumbnail2 .bottom-layer:after {
  position: absolute;
  /* width: 100%; */
  height: 200px;
  /* background-color: #cccccc; */
  top: 100%;
  left: -20px;
  right:  -20px;
  content: '';
  background-image: url(cake-stand.png);
  background-size: 100% auto;
  background-position: top center;
  background-repeat: no-repeat;
  /* transform: translate(0, -50%); */
  margin-top: -35%;
  z-index: -1;
}

ul#cake-vis li.temp {
  opacity: 0.25;
}

ul#cake-vis li.cake-hover {
}

  ul#cake-vis li .thumbnail img {
    /* height: 50px; */
    /* margin-top: -10%; */
    /* object-fit: contain; */
    /* flex-wrap: wrap; */
    /* transform: translate(0, 50%); */
  }

  
  ul#cake-vis li .thumbnail {
    /* width: 100%; */
    background: none;
    text-align: center;
    display: block;
    border: 0 none;
    margin-bottom: 0;
    padding: 0;
    overflow: visible;
    position: relative;
    display: flex;
    /* justify-content: center; */
    flex-direction: column;
    align-items: center;
    /* padding-top: 5px; */
  }

  .cake_holder {
    display: flex;
    /* justify-content: center; */
    flex-direction: column;
    align-items: center;
    /* transform: translate(0, -50%); */
    /* margin-bottom: -10%; */
    /* transform: translate(0, -50%); */
    /* margin-bottom: -20px; */
  }

  .image_picker_image_1{
    position: absolute;
    bottom: 100%;
    /* display: none !important; */
    margin: 0 auto 0 auto;
    margin-bottom: -1px;
  }
  .image_picker_image_22,
    .bottom-layer {
    position: absolute;
    top: 100%;
    /* display: none !important; */
    /* margin-bottom: 2px; */
    margin-top: -1px;
    /* width: 100%; */
  }

  .bottom-layer .image_picker_image_2 {
    width: 100%;
  }

    .image_picker_image_3 {
    /* position: absolute; */
    /* top: 100%; */
    /* display: none !important; */
    margin-bottom: 1px;
    margin-top: 1px;
    /* min-height: 40px; */
  }


      .image_picker_image_4 {
        height: 20px !important;
        display: none !important;
  }



  .image_picker_image_1a2 {
    position: absolute;
    top: -50%;
    margin-bottom: -20px;
  }


  .image_picker_image_1a {
    transform: translate(0, 50%);
  }

  .image_picker_image_1 {
    transform: translate(0, 50%);
  }

  .image_picker_image_1b {
  display: none;
  }

  .image_picker_image_2aaaa {
    display: none !important;
  }

  .image_picker_image_2 {
    /* margin-top: 4px; */
  }





.tasting-notes {
    font-size: 12px;
    padding: 0;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: solid 1px #ccc;
}

#cake-vis li span.glyphicon.glyphicon-minus {
  display: none;
  position:absolute;
  left: 50%;
  width: 1em;
  border-radius: 0.5em;
  background-color: #ccc;
  height: 1em;
  margin-left: -0.5em;
  text-align: center;
  font-size: 20px;
  bottom: 0px;
  margin-bottom: 0.5em;
  z-index: 5000;
  /* margin-right: 10px; */
  top: auto;
  cursor: pointer;
}
#cake-vis:hover li {
  /* margin-top: 10px; */
  /* margin-bottom: 10px; */
}

#cake-vis:hover li span.glyphicon.glyphicon-minus {
  /* display: block; */
}

div#picker-holder {
    background-color: #f6e4fd;
    padding: 20px 0;
    background-image: url(back-3.jpg);
    background-size: cover;
    background-position: center;
    /* background-repeat: no-repeat; */
    background-attachment: fixed;
}

.picker_block_title {
  /* font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; */
  text-align: center;
  font-size: 20px;
  color: #ffffff;
}

img.cake_stand {
    width: 30%;
    transform: translate(0, -25%);
    margin: 0 auto;
}

img.cake_stand.tier-1 {
  width: 30%;
}

img.cake_stand.tier-2 {
  width: 40%;
}

img.cake_stand.tier-3 {
  width: 50%;
}

img.cake_stand.tier-4 {
  width: 60%;
}

img.cake_stand.tier-5 {
  width: 70%;
}

img.cake_stand.tier-6 {
  width: 80%;
}
img.cake_stand.tier-7 {
  width: 90%;
}




.list-group-item {
    padding: 0.5em 15px;
}


#cake-layers-list {
  margin-bottom: 0;
}

div#cake-info {
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}